﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Factonomy.AzureUtility.Core
{
    public class AddBlobDetails
    {
        public enum AddActionType
        {
            File,
            Folder
        }

        public AddActionType Action
        {
            get;
            set;
        }

        public string FileName
        {
            get;
            set;
        }

        public string BlobName
        {
            get;
            set;
        }

        public AddBlobDetails(string fileName, string blobName, AddActionType action)
        {
            this.FileName = fileName;
            this.BlobName = blobName;
            this.Action = action;
        }
    }
}
